Difference between revisions of "Arch Add/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
m (added link to German translation of this page)
m (reinserted accidently removed link to Spanish translation of this page)
Line 44: Line 44:
 
[[Image:Arch_Remove.png|32px|text-top=Supprimer|link=Arch_Remove/fr]]   
 
[[Image:Arch_Remove.png|32px|text-top=Supprimer|link=Arch_Remove/fr]]   
  
{{languages/fr | {{de|Arch_Add/de}} {{en|Arch_Add}} {{fr|Arch_Add/fr}} {{it|Arch_Add/it}} {{jp|Arch_Add/jp}} {{se|Arch_Add/se}} }}
+
{{languages/fr | {{de|Arch_Add/de}} {{en|Arch_Add}} {{es|Arch_Add/es}} {{it|Arch_Add/it}} {{jp|Arch_Add/jp}} {{se|Arch_Add/se}} }}

Revision as of 11:21, 1 April 2013

Arch_Add/fr

Arch Add.svg Arch Addition

Emplacement du menu
Arch -> Add
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Arch Remove


Description

L'outil Ajouter Arch Add.png vous permet de faire 2 types d'opérations :

  • Ajouter un objet de base à un compososant Architecture, par exemple un mur Arch Wall.png ou une structure Arch Structure.png.
    Ces objets font alors partie des composants d'Architecture, et vous permettent de modifier sa forme, mais en gardant ses propriétés de base telles que la largeur et la hauteur.
  • Ajouter des composants Arch, comme des murs Arch Wall.png ou des structures Arch Structure.png, dans une cellule Arch Cell.png ou d'autres objets à base de cellules tels que les planchers Arch Floor.png.

Arch Add example.jpg

Dans l'image ci-dessus, une boîte est ajoutée à une paroi.

Utilisation

  • Sélectionnez l'objet ou les objets que vous devez ajouter (ici la boîte), puis sélectionnez l'objet hôte (mur) (l'objet hôte (mur), doit toujours être le dernier objet sélectionné).
  • Appuyez sur le bouton text-top=Ajoutert Ajouter.
  • Ajouter un Axes system Système d'axes dans text-top=Élément structurel un objet structurel.
  • Ajouter un objet dans un plan de coupe plan de coupe.

Utilisation

  1. Sélectionnez l'objet(s) qui doit être ajouté, ensuite, sélectionnez l'objet hôte (l'objet hôte doit être le dernier objet sélectionné).
  2. Puis cliquez sur le bouton text-top=Ajoutert Ajouter

Script

L'outil text-top=Ajoutert Ajouter peut être utilisé dans une macro, ou dans la console Python en utilisant la fonction :

addComponents (objectsList,hostObject): Ajoute l'objet, ou les objets de la liste donnée, sous forme de composant(s)
à l'objet hôte donné. Utilisé par exemple, pour ajouter des fenêtres à un mur, ou ajouter des murs au plancher.

Exemple:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)

Les outils de transformation Architecturaux

text-top=Ajoutert    text-top=Supprimer   

Traductions disponibles: Flag-de.jpg Flag-en.jpg Flag-es.jpg Flag-it.jpg Flag-jp.jpg Template:Se